## wslay 1.0.1~39-g6abacc1

=== debian/changelog ===
wslay (1.0.1~39-g6abacc1-3) unstable; urgency=medium

  * [a6baed8] Update patch
  * [0b8e539] Add minimal version for nettle-dev
  * [331172d] Set compat level 11

 -- Anton Gladky <gladk@debian.org>  Sat, 30 Dec 2017 00:34:47 +0100

wslay (1.0.1~39-g6abacc1-2) unstable; urgency=medium

  * [3f39533] Remove science team as a maintainer.
  * [53a3412] Update comments in tests.
  * [7be02dd] Fix FTBFS due to API update in nettle. (Closes: #884407)
  * [b9261e0] Remove testsuite-field in d/control
  * [135f6cb] Remove prioroty extra from d/control
  * [b5974ea] Set Standards-Version: 4.1.3
  * [b839664] Update VCS-fields

 -- Anton Gladky <gladk@debian.org>  Fri, 29 Dec 2017 23:42:08 +0100

wslay (1.0.1~39-g6abacc1-1) unstable; urgency=medium

  * Initial packaging. (Closes: #865564)

 -- Anton Gladky <gladk@debian.org>  Thu, 22 Jun 2017 21:00:12 +0200
