=== debian/changelog ===
wslay (1.1.0-2) unstable; urgency=medium

  * [30b581e] Set Standards-Version to 4.4.1
  * [ad4b199] Set compat-level to 12
  * [1c60f49] Set upstream metadata fields: Repository.
  * [cec7d03] Add project-command to CmakeLists. (Closes: #944893)
  * Close bug which was closed by previous upload. (Closes: #942736)

 -- Anton Gladky <gladk@debian.org>  Thu, 21 Nov 2019 20:05:54 +0100

wslay (1.1.0-1) unstable; urgency=medium

  * [a100c59] Make the package cross-compilable (thanks to helmutg)
  * [6594955] Declare Breaks/Replaces due to the manpage move
  * [2760176] New upstream version 1.1.0
  * [5cf7f3d] Update patches, remove old one
  * [7dcc34e] Set Standards-Version to 4.2.1

 -- Anton Gladky <gladk@debian.org>  Sun, 30 Sep 2018 17:26:36 +0200
