=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Section: libs
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                libcunit1-dev,
-               nettle-dev (>=3.4),
-               python3-sphinx,
-               sphinx-common
-Standards-Version: 4.1.3
+               nettle-dev (>=3.4)
+Build-Depends-Indep: python3-sphinx,
+                     sphinx-common
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian/wslay
 Vcs-Git: https://salsa.debian.org/debian/wslay.git
 Homepage: https://github.com/tatsuhiro-t/wslay
@@ -74,6 +74,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${sphinxdoc:Depends}
+Breaks: libwslay-dev (<< 1.1.0)
+Replaces: libwslay-dev (<< 1.1.0)
 Description: WebSocket library written in C. Documentation
  WebSocket library written in C. It implements the protocol version 13
  described in RFC 6455. This library offers 2 levels of API: event-based
