=== debian/changelog ===
wslay (1.1.1-5) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * [0106f6b] Bump cmake_minimum_required for tests (Closes: #1040731)

  [ Anton Gladky ]
  * [2266c6e] fix(debian): Increase minimal CMake version (Closes: #1113634)
  * [cd2c642] chore(debian): Update Standards-Version to 4.7.2
  * [918801f] chore(debian): Add YAML document start marker
  * [90efc72] Install missing pkg-config file (Closes: #1095615)

 -- Anton Gladky <gladk@debian.org>  Sat, 11 Oct 2025 14:13:08 +0200

wslay (1.1.1-4) unstable; urgency=medium

  [ Anton Gladky ]
  * [4834d49] Revert "Update debian/.gitlab-ci.yml"
  * [33e6c09] Update watch file format version to 4.
  * [99f2459] Update standards version to 4.6.2, no changes needed.
  * [e3a4a89] Remove unneeded breaks/replaces

  [ Debian Janitor ]
  * [80e2ba6] Apply multi-arch hints.
    + libwslay-dev: Add Multi-Arch: same.
    + libwslay-doc: Add Multi-Arch: foreign.

  [ Pino Toscano ]
  * [988937e] d/rules: do not build the examples on non-Linux (Closes: #873677)

  [ Timo Röhling ]
  * [5d568e2] debian/tests/build1: Bump cmake_minimum_required() for examples
    (Closes: #1040731)

 -- Anton Gladky <gladk@debian.org>  Thu, 03 Aug 2023 23:13:19 +0200

wslay (1.1.1-3) unstable; urgency=medium

  * [224e60a] Update .gitlab-ci.yml
  * [ed5ade0] Fix sphinx 3.3 errors. (Closes: #997384)
  * [a8546c2] Set compat-level 13, Standards-version: 4.6.0

 -- Anton Gladky <gladk@debian.org>  Sun, 07 Nov 2021 22:36:01 +0100

wslay (1.1.1-2) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * [9429e45] Avoid CMake casing warnings (Closes: #970334)

  [ Anton Gladky ]
  * [6f1c0ef] Refresh patches

 -- Anton Gladky <gladk@debian.org>  Wed, 23 Sep 2020 21:22:49 +0200

wslay (1.1.1-1) unstable; urgency=medium

  * [5995e3b] New upstream version 1.1.1
  * [e530e82] Set upstream metadata fields:
              Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * [49aab14] Update standards version to 4.5.0, no changes needed.
  * [332ead9] Add d/.gitlab-ci.yml

 -- Anton Gladky <gladk@debian.org>  Wed, 15 Jul 2020 21:41:37 +0200
