=== debian/control ===
--- 
+++ 
@@ -1,23 +1,27 @@
 Source: wslay
+Standards-Version: 4.7.2
 Maintainer: Anton Gladky <gladk@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: cmake,
-               debhelper-compat (= 12),
-               libcunit1-dev,
-               nettle-dev (>=3.4)
-Build-Depends-Indep: python3-sphinx,
-                     sphinx-common
-Standards-Version: 4.4.1
+Build-Depends:
+ cmake,
+ debhelper-compat (= 13),
+ libcunit1-dev,
+ nettle-dev,
+Build-Depends-Indep:
+ python3-sphinx,
+ sphinx-common,
 Vcs-Browser: https://salsa.debian.org/debian/wslay
 Vcs-Git: https://salsa.debian.org/debian/wslay.git
 Homepage: https://github.com/tatsuhiro-t/wslay
 
 Package: libwslay-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: libwslay1 (= ${binary:Version}),
-         ${misc:Depends}
+Depends:
+ libwslay1 (= ${binary:Version}),
+ ${misc:Depends},
 Description: WebSocket library written in C. Development files
  WebSocket library written in C. It implements the protocol version 13
  described in RFC 6455. This library offers 2 levels of API: event-based
@@ -43,9 +47,11 @@
 Package: libwslay1
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
 Description: WebSocket library written in C. Shared library
  WebSocket library written in C. It implements the protocol version 13
  described in RFC 6455. This library offers 2 levels of API: event-based
@@ -70,12 +76,12 @@
 
 Package: libwslay-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         ${sphinxdoc:Depends}
-Breaks: libwslay-dev (<< 1.1.0)
-Replaces: libwslay-dev (<< 1.1.0)
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ ${sphinxdoc:Depends},
 Description: WebSocket library written in C. Documentation
  WebSocket library written in C. It implements the protocol version 13
  described in RFC 6455. This library offers 2 levels of API: event-based
