=== debian/tests/control ===
Tests: build1
Depends: libwslay-dev, build-essential, nettle-dev, cmake
